Subject: [Ltru] Re: 4646(bis) typo / issue (was: Status of draft-4645bis-00)

From: "Doug Ewell" <[email-masked]>
Date: Sun, 24 Sep 2006 19:00:30 -0700

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

> The I-D will be a world record... :-)  BTW, I propose that we fix 
> en-boont and en-scouse silently to "redundant" instead of 
> "grandfathered", the language subtag review list got that wrong.

Thanks for catching this.  We did forget to communicate that detail to 
IANA.  I will work with the Reviewer to make sure that gets corrected.

--
Doug Ewell
Fullerton, California, USA
http://users.adelphia.net/~dewell/
RFC 4645  *  UTN #14

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Sun, 24 Sep 2006 19:09:02 -0700

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

> Yes, if the new variant is unrelated the tag better stays 
> grandfathered.  Or let's just reserve the few pseudo-variants: either 
> they're registered matching the grandfathered tag, or they're off 
> limits.  Nobody needs gaulish if it's not related to cel-gaulish etc.

I reiterate my objection to enshrining administrative preferences like 
this in RFC 4646bis.  John has already indicated that he doesn't intend 
to pursue this course for any other grandfathered tags:

http://www.alvestrand.no/pipermail/ietf-languages/2006-August/004895.html

Somebody might decide at some point that they do need 'gaulish' as a 
macrolanguage for Cisalpine and Transalpine, and this should not be 
forbidden out of hand.  If it is never needed and nobody proposes it, no 
harm is done.

---

From: John Cowan <[email-masked]>
Date: Sun, 24 Sep 2006 22:18:47 -0400

> http://www.alvestrand.no/pipermail/ietf-languages/2006-August/004895.html

Correct.  I only proposed 'boont' and 'scouse' because they are in
fact functioning as variant subtags and have legal syntax for
variant subtags.   Proposing them gets rid of them.  The same is
not true of any other case like 'xiang' or 'gaulish'.

> forbidden out of hand.  If it is never needed and nobody proposes it, no 

+1

-- 
John Cowan   [email-masked]  http://www.ccil.org/~cowan
Most languages are dramatically underdescribed, and at least one is
dramatically overdescribed.  Still other languages are simultaneously
overdescribed and underdescribed.  Welsh pertains to the third category.
        --Alan King

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 25 Sep 2006 05:44:07 +0200

Doug Ewell wrote:
 
> Somebody might decide at some point that they do need
> 'gaulish' as a macrolanguage for Cisalpine and Transalpine, 
> and this should not be forbidden out of hand.

Reserving the bogus variants has nothing to do with language
subtags.  If "macrolanguage" is defined as the first subtag in
a prefix of a registered extlang, then "gaulish" will never be
a macrolanguage, all language subtags of extlang prefixes are
limited to 2 or 3 letters.

> If it is never needed and nobody proposes it, no harm is
> done.

We've seen that the rule how grandfathered crap can mutate into
redundant tags was harmful in the latest registry.  Eliminating
that possibility by reserving the last five "pseudo-variants"
gaulish / guoyu / hakka / lobjan / xiang is attractive - if the
reservation prose is less convoluted than the existing mutation
prose.  As a mere implementation detail it's less interesting.

Frank

---

From: John Cowan <[email-masked]>
Date: Sun, 24 Sep 2006 23:54:03 -0400

> limited to 2 or 3 letters.

Being a registered prefix of an extlang is a syntactic property; being a
macrolanguage is a semantic property.  A macrolanguage can be introduced
that covers two existing individual languages, but that doesn't mean we
change the tagging for the existing individual languages (as we decided
a few weeks ago).

Therefore, someone could request 'gaulish' as an IETF-registered language
subtag for the Gaulish macrolanguage in order to tag Gaulish documents
where the Cisalpine/Transalpine distinction is not important.  If we block
'gaulish' as a subtag, that can't happen even if it's useful.

-- 
John Cowan  [email-masked]  http://ccil.org/~cowan
If I have not seen as far as others, it is because giants were standing
on my shoulders.
        --Hal Abelson

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 25 Sep 2006 07:03:04 +0200

John Cowan wrote:
 
> someone could request 'gaulish' as an IETF-registered
> language subtag

Yes, but that's no problem wrt cel-gaulish, the "reservation"
idea was about variant subtags, not language subtags.

Frank